---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadStackRefTest.dylib'
relocations:
  - { offsetInCU: 0x77, offset: 0x77, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111refCountersE.1, symObjAddr: 0x224D8, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x82, offset: 0x82, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111refCountersE.2, symObjAddr: 0x224E0, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x11E, offset: 0x11E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_15jvmtiE, symObjAddr: 0x224E8, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x8D54, offset: 0x8D54, size: 0x8, addend: 0x0, symName: __ZL12time_to_exit.0, symObjAddr: 0x224F0, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xADB6, offset: 0xADB6, size: 0x8, addend: 0x0, symName: __Z21HeapReferenceCallback22jvmtiHeapReferenceKindPK22jvmtiHeapReferenceInfolllPlS3_iPv, symObjAddr: 0xC70, symBinAddr: 0x3660, symSize: 0x104 }
  - { offsetInCU: 0xAF01, offset: 0xAF01, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xD74, symBinAddr: 0x3764, symSize: 0x8C }
  - { offsetInCU: 0xB158, offset: 0xB158, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_test, symObjAddr: 0xE00, symBinAddr: 0x37F0, symSize: 0x1CC }
  - { offsetInCU: 0xB4D6, offset: 0xB4D6, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_getRefCount, symObjAddr: 0xFCC, symBinAddr: 0x39BC, symSize: 0x10 }
  - { offsetInCU: 0xB519, offset: 0xB519, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_getRefThreadID, symObjAddr: 0xFDC, symBinAddr: 0x39CC, symSize: 0x10 }
  - { offsetInCU: 0xB670, offset: 0xB670, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_createObjAndCallback, symObjAddr: 0xFEC, symBinAddr: 0x39DC, symSize: 0x160 }
  - { offsetInCU: 0xB976, offset: 0xB976, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x130C, symBinAddr: 0x3CFC, symSize: 0x30 }
  - { offsetInCU: 0xBA03, offset: 0xBA03, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x114C, symBinAddr: 0x3B3C, symSize: 0x30 }
  - { offsetInCU: 0xBB4C, offset: 0xBB4C, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_createObjAndWait, symObjAddr: 0x117C, symBinAddr: 0x3B6C, symSize: 0x17C }
  - { offsetInCU: 0xBEE7, offset: 0xBEE7, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_endWait, symObjAddr: 0x12F8, symBinAddr: 0x3CE8, symSize: 0x14 }
  - { offsetInCU: 0xBF19, offset: 0xBF19, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_endWait, symObjAddr: 0x12F8, symBinAddr: 0x3CE8, symSize: 0x14 }
  - { offsetInCU: 0xBF35, offset: 0xBF35, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_endWait, symObjAddr: 0x12F8, symBinAddr: 0x3CE8, symSize: 0x14 }
  - { offsetInCU: 0xBF57, offset: 0xBF57, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_endWait, symObjAddr: 0x12F8, symBinAddr: 0x3CE8, symSize: 0x14 }
...
